orchestrator
2021.10
false
Orchestrator API Guide
- Getting Started
- Authentication
- Swagger Definition
- Orchestrator APIs
- Alerts Requests
- Assets Requests
- Calendars Requests
- Environments Requests
- Folders Requests
- Generic Tasks Requests
- Jobs Requests
- Libraries Requests
- License Requests
- Packages Requests
- Permissions Requests
- Processes Requests
- Robots Requests
- Roles Requests
- Schedules Requests
- Settings Requests
- Tasks Requests
- Task Catalogs Requests
- Task Forms Requests
- Tenants Requests
- Transactions Requests
- Users Requests
- Webhooks Requests
- Platform Management APIs
Deletes the specified robot account in an organization, based on the organization and robot account ID.
API Endpoint
DELETE https://{yourDomain}/identity/api/RobotAccount/{partitionGlobalId}/{robotAccountId}
Scopes
Requires the following scopes:
- PM.RobotAccount
- PM.RobotAccount.Write
Request Headers
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'\
--header 'Content-Type: application/json'
Note:
To obtain the {access_token}, make sure to authenticate through one of the methods described here.
Path Parameters
| Path param | Data type | Description |
|---|---|---|
partitionGlobalId(required) | String | The ID of the organization you want to delete the robot accounts from. |
robotAccountId(required) | String | The ID of the robot account you want to delete. |
Responses
204 Success
The indicated robot account is deleted from the organization.
Example Request
Let's say you gathered all the information needed to build the API call.
- Your
{baseURL}is:https://{yourDomain}/{organizationName}/{tenantName}/ - Your
{access_token}is:1234(for length considerations). - The
{partitionGlobalId}is:magic-7 - The
{robotAccountId}is:33-ab
The call should look like below (cURL):
curl --location --request DELETE 'https://{yourDomain}/{organizationName}/{tenantName}/identity_/api/RobotAccount/magic-7/33-ab' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'
curl --location --request DELETE 'https://{yourDomain}/{organizationName}/{tenantName}/identity_/api/RobotAccount/magic-7/33-ab' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json'